/* Default styles */
.cta {
    position: relative;
    height: 750px;
}

.cta-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("../../../public/img/content.png");
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
 
}

.cta-content {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.cta-button {
    margin-right: 10px;
    width: 150px;
    padding: 10px 10px;
    background-color: white;
    border-radius: 20px;
    border: 1px solid orange;
    font-weight: 600;
    font-family: 'Playfair Display', serif;
}

/* Responsive styles */

@media only screen and (max-width: 800px) {
    .cta {
        height: 350px;
        width: auto;
        position: relative;
    }

    .cta-background {
        background-size: 100% 100%;
        /* Decrease background image size */
    }

    .cta-content {
        top: 70%;
    }

    .cta-button {
        width: 70px;
        font-size: 8px;
        padding: 5px 5px;
        border: 1px solid orange;

    }
}

@media only screen and (min-width: 400px) and (max-width: 800px){
    .cta {
        height: 250px;
        width: auto;
        position: relative;
    }

    .cta-background {
        background-size: 100% 100%;
        /* Decrease background image size */
    }

    .cta-content {
        top: 70%;
    }

    .cta-button {
        width: 70px;
        font-size: 8px;
        padding: 5px 5px;
        border: 1px solid orange;

    }
}

@media only screen and (min-width: 801px) and (max-width: 1024px) {
    .cta {
        height: 400px;
        width: auto;
        position: relative;
    }

    .cta-background {
        background-size: 100% 100%;
        /* Decrease background image size */
    }

    .cta-content {
        top: 70%;
    }

    .cta-button {
        width: 90px;
        font-size: 8px;
    }
}


@media only screen and (min-width: 1025) {
    .cta {
        height: 400px;
    }

    .cta-background {
        background-size: 60% 60%;
        /* Further decrease background image size */
    }

    .cta-content {
        top: 50%;
    }

    .cta-button {
        width: 120px;
    }
}